<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.rule.mapper.BaseSpaceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.rule.domain.BaseSpace">
        <id column="id" property="id" />
        <result column="name" property="name" />
        <result column="parent_id" property="parentId" />
        <result column="type" property="type" />
        <result column="root_id" property="rootId" />
        <result column="path" property="path" />
        <result column="path_name" property="pathName" />
        <result column="deep" property="deep" />
        <result column="updated_by" property="updatedBy" />
        <result column="update_time" property="updateTime" />
        <result column="created_by" property="createdBy" />
        <result column="create_time" property="createTime" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
